Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QContextMenuEvent

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QContextMenuEvent class reference

### Public Functions

- QContextMenuEvent ( Reason reason, const QPoint & pos, const QPoint & globalPos, int )
- QContextMenuEvent ( Reason reason, const QPoint & pos, int )
- Qt::ButtonState state () const

## Member Function Documentation

### QContextMenuEvent::QContextMenuEvent ( Reason reason, const QPoint & pos, const QPoint & globalPos, int )

### QContextMenuEvent::QContextMenuEvent ( Reason reason, const QPoint & pos, int )

### Qt::ButtonState QContextMenuEvent::state () const

Returns the button state (a combination of mouse buttons and keyboard modifiers) immediately before the event was generated.

The returned value is a selection of the following values, combined with the OR operator: `Qt::LeftButton`, `Qt::RightButton`, `Qt::MidButton`, `Qt::ShiftButton`, `Qt::ControlButton`, and `Qt::AltButton`.